This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 126797 - ntpd doesn't start right
ntpd doesn't start right
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Ryska
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-26 22:26 EDT by Horst H. von Brand
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-21 20:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2004-06-26 22:26:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
No ntpd service unless started by hand

Version-Release number of selected component (if applicable):
ntp-4.2.0-7

How reproducible:
Always

Steps to Reproduce:
1.service ntpd start
2.
3.
    

Actual Results: 
Synchronizing to server FAILED
ntpd start OK

But "service ntpd status" reports pidfile exists, no server running.
Starting ntpd by hand (no arguments) gets the ball rolling

Expected Results:  At least running ntpd

Additional info:
Comment 1 Harald Hoyer 2004-07-13 09:57:16 EDT
do you have selinux activated?
Comment 2 Horst H. von Brand 2004-07-13 11:22:33 EDT
The system had FC2 test 2, was then upgraded. I assume SElinux is
active (sorry, no access to the machine right now)
Comment 3 Harald Hoyer 2004-07-13 11:48:23 EDT
try:
# modprobe capabilities
# service ntp restart
Comment 4 Joe Acosta 2004-07-15 01:20:52 EDT
I discovered some other things about this.

It seems that ntpd -U ntp failt to start but without the -U ntp it
starts okay.   The /etc/sysconfif/ntpd file contains -U ntp -p
/var/run/ntpd.pid so just removing the -U ntp allows it to start fine.

My guess is that there are problems changing id.  

Note You need to log in before you can comment on or make changes to this bug.